package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/go-nunu/nunu-layout-advanced/internal/service"
)

type GatewayipHandler struct {
	*Handler
	gatewayipService service.GatewayipService
}

func NewGatewayipHandler(
    handler *Handler,
    gatewayipService service.GatewayipService,
) *GatewayipHandler {
	return &GatewayipHandler{
		Handler:      handler,
		gatewayipService: gatewayipService,
	}
}

func (h *GatewayipHandler) GetGatewayip(ctx *gin.Context) {

}
